
%define _default_patch_fuzz 2

%define multilib_arches %{ix86} x86_64 
#ppc ppc64 s390 s390x sparcv9 sparc64

%define final 1 
%define make_cvs 1

%define qt3 qt3
%define qt3_ev 3.3.8

Name:    arts
Summary: Arts (analog realtime synthesizer) - the KDE sound system 
Group:   System Environment/Daemons
Epoch:   8
Version: 1.5.10
Release: 5.5.moblin2

License: LGPLv2+
Url: http://www.kde.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: gslconfig-wrapper.h

Patch1: arts-1.1.4-debug.patch
Patch2: arts-1.3.92-glib2.patch
Patch5: arts-1.3.1-alsa.patch
Patch6: arts-1.5.8-glibc.patch
Patch7: arts-1.5.0-check_tmp_dir.patch
Patch8: arts-1.5.2-multilib.patch
# kde#93359
Patch50: arts-1.5.4-dlopenext.patch
Patch51: kde-3.5-libtool-shlibext.patch
# upstream patches


# used in artsdsp
Requires: which

BuildRequires: %{qt3}-devel >= %{qt3_ev}
## Shouldn't be necessary, but some folks won't upgrade, unless we stiff-arm them.  (-;
#global qt3_ver %(pkg-config qt-mt --modversion 2>/dev/null || echo %{qt3_ev})
#Requires: %{qt3} >= %{qt3_ver}
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel
%if %{make_cvs}
BuildRequires: automake libtool
%endif
#%{?_with_esd:BuildRequires: esound-devel}
BuildRequires: findutils sed
BuildRequires: glib2-devel
#%{?_with_jack:BuildRequires: jack-audio-connection-kit-devel}
BuildRequires: libvorbis-devel
#%{?_with_nas:BuildRequires: nas-devel}
BuildRequires: pkgconfig


%description
arts (analog real-time synthesizer) is the sound system of KDE 3.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.

%package devel
Group: Development/Libraries
Summary: Development files for the aRts sound server
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{qt3}-devel
Requires: pkgconfig
Requires: glib2-devel
%description devel
Install %{name}-devel if you intend to write applications using aRts.


%prep
%setup -q
%patch1 -p1 -b .debug
%patch2 -p1 -b .glib
%patch5 -p1 -b .alsa
%patch6 -p1 -b .glibc
%patch7 -p1 -b .check_tmp_dir
%patch8 -p1 -b .multilib

%patch50 -p1 -b .dlopenext
%patch51 -p1 -b .libtool-shlibext

%if %{make_cvs}
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR && . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking \
  --enable-new-ldflags \
  --disable-libmad \
  --with-alsa \
  --without-jack \
%if 0%{?final}
  --enable-final
%endif

#--without-esd \
#  --without-nas \
#  %{?_with_esd} %{!?_with_esd:--without-esd} \
#  %{?_with_jack} %{!?_with_jack:--without-jack}\
#  %{?_with_nas} %{!?_with_nas:--without-nas} \

## hack for artsdsp (see http://bugzilla.redhat.com/329671)
#make %{?_smp_mflags} -k || \
#  sed -i -e "s|-Wp,-D_FORTIFY_SOURCE=2||" artsc/Makefile && \
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

export PATH=`pwd`:$PATH
make install DESTDIR=%{buildroot}

%ifarch %{multilib_arches}
# Ugly hack to allow parallel installation of 32-bit and 64-bit arts-devel
  mv  %{buildroot}%{_includedir}/kde/arts/gsl/gslconfig.h \
      %{buildroot}%{_includedir}/kde/arts/gsl/gslconfig-%{_arch}.h
  install -p -m644 %{SOURCE1}  %{buildroot}%{_includedir}/kde/arts/gsl/gslconfig.h
%endif

## remove references to optional external libraries in .la files (#178733)
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs \
 sed -i \
 -e "s|-lmad||g" \
 -e "s|%{_libdir}/libmad.la||g" \
 -e "s|-lvorbisfile||g" \
 -e "s|-lvorbisenc||g" \
 -e "s|-lvorbis||g" \
 -e "s|-logg||g" \
 -e "s|-lasound||g" \
 -e "s|-laudiofile||g" \
 -e "s|-lesd||g" \
 -e "s|%{_libdir}/libesd.la||g" \
 -e "s|-lgmodule-2.0||g" \
 -e "s|-lgthread-2.0||g" \
 -e "s|-lglib-2.0||g" \
 -e "s|-laudio ||g" \
 -e "s|-lpng -lz ||g" \
 -e "s|%{_libdir}/libartsc.la||g" \
 -e "s@-lboost_filesystem@@g" \
 -e "s@-lboost_regex@@g" \
 -e "s@-ljack@@g"


%clean
rm -rf  %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%dir %{_libdir}/mcop
%dir %{_libdir}/mcop/Arts
%{_libdir}/mcop/Arts/*
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%{_bindir}/artscat
%{_bindir}/artsd
%{_bindir}/artsdsp
%{_bindir}/artsplay
%{_bindir}/artsrec
%{_bindir}/artsshell
%{_bindir}/artswrapper

%files devel
%defattr(-,root,root,-)
%{_bindir}/mcopidl
%dir %{_includedir}/kde
%{_includedir}/kde/arts/
%{_includedir}/kde/artsc/
%{_bindir}/artsc-config
%{_libdir}/pkgconfig/artsc.pc
%{_libdir}/lib*.so


%changelog
* Mon Aug 31 2009 Zhang Qiang <qiang.z.zhang@intel.com> - 8:1.5.10-5
- Initial import to Moblin
* Mon Mar  2 2009 Rex Dieter <rdieter@fedoraproject.org> - 8:1.5.10-5
- s/i386/%%%%ix86/
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8:1.5.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Fri Dec 12 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.10-3
- rebuild for pkgconfig deps
* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.10-2
- multilib (sparc) fixes
* Tue Sep  2 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 8:1.5.10-1.1
- fix qt-devel dependency on F8
* Tue Aug 26 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.10-1
- arts-1.5.10
* Thu May 15 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.9-3
- arts support for mixed multilib usage (#444484)
- f10+: drop optional esd, jack, nas support
* Wed Mar 12 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.9-2
- s/qt-devel/qt3-devel/
* Thu Feb 14 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.9-1
- kde-3.5.9
* Wed Feb 13 2008 Rex Dieter <rdieter@fedoraproject.org> 8:1.5.8-5
- gcc43 patch
  * Wed Oct 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.8-4
- remove arts/open workaround (#329671)
  * Mon Oct 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.8-3
- -devel: +Requires: glib2-devel (#331841)
  * Fri Oct 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.8-2
- hack to get artsdsp buildable (#329671)
  * Fri Oct 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.8-1
- 1.5.8 (kde-3.5.8)
* Mon Oct  1 2007 Than Ngo <than@redhat.com> - 8:1.5.7-7
- rh#312621, requires which
  * Fri Aug 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.7-6
- update glibc patch ( open -> (open) )
  * Fri Aug 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.7-5
